function openListUsers(border_id) {
	connector.loadScript("QuickCatalogSearch");
	if (typeof(QuickCatalogSearch) == 'undefined'){
					setTimeout('openListUsers('+border_id+')',500);
					return false;
				}
	QuickCatalogSearch.showCatalogList(border_id);
}

$.contextMenu({
	selector: ".table_box tbody tr",
	callback: function(key, options) {
		//TODO - default actions
		//TODO - aply labels actions

	},
	items: {
		"flagSeen":      {"name": get_lang("Mark as") + " " + get_lang('seen'), "icon": "seen", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('seen','get_selected_messages'); }},
		"flagUnseen":    {"name": get_lang("Mark as") + " " + get_lang('unseen'), "icon": "unseen", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('unseen','get_selected_messages'); }},
		"flagFlagged":   {"name": get_lang("Mark as") + " " + get_lang('important'), "icon": "important", callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('flagged','get_selected_messages'); }},
		"flagUnflagged": {"name": get_lang("Mark as") + " " + get_lang('normal'), callback: function(key, opt){ proxy_mensagens.proxy_set_messages_flag('unflagged','get_selected_messages'); }},
		
		
		"sep2": "---------",
		"move": {"name": get_lang("Move to")+"...", "icon": "move", callback: function(key, opt){ wfolders.makeWindow('', 'move_to'); }},
		"remove": {"name": get_lang("Delete"),      "icon": "delete", callback: function(key, opt){ proxy_mensagens.delete_msgs('null','selected','null'); }},
		"export": {"name": get_lang("Export"),      "icon": "export", callback: function(key, opt){ proxy_mensagens.export_all_messages(); }}
	}
});


/**
 * Cria a lista de itens para o menu ferramentas
 */
if (!expresso_offline) {
	var menuToolsItems = {
		"i01": {"name": get_lang("Preferences"), "icon": "preferences-mail", callback: preferences_mail },
		"i02": {"name": get_lang("Search"), "icon": "search-mail", callback: function(key, opt){ search_emails(""); }},
		"103": {"name": get_lang("Edit filters"), "icon": "filter", callback: filterbox },
		"i04": {"name": get_lang("Edit folders"), "icon": "edit-folder", callback: folderbox },
		"i05": {"name": get_lang("Share mailbox"), "icon": "share-mailbox", callback: sharebox },

		"i08": {"name": get_lang("Empty trash"), "icon": "empty-trash", callback: function(key, opt){ empty_trash_imap() } }
	};
		
	if(preferences.use_local_messages==1) {
		if(expresso_local_messages.is_offline_installed()) {
			menuToolsItems["i09"] = {"name": get_lang("Send from queue"), "icon": "queue", callback: force_check_queue };
		}
	}
} else {
	var menuToolsItems = {
		"i01": {"name": get_lang("Search"), "icon": "search-mail", callback: function(key, opt){ search_emails(""); }},
		"i02": {"name": get_lang("Edit folders"), "icon": "edit-folder", callback: folderbox }
	}
}

/**
 * Aplica o menu ferramentas
 */
$.contextMenu({
	selector: "#link_tools",
	trigger: 'left',
	position: function($menu, x, y){
		$menu.$menu.position({ my: "center top", at: "center bottom", of: this, offset:"0 0"});
	},
	determinePosition: function($menu, x, y){
		$menu.css('display', 'block').position({ my: "center top", at: "center bottom", of: this}).css('display', 'none');
	},
	events: {
		show: function(opt) {
			/**
			 * Modifica cor do elemento de trigger para o menu
			 */
			var $trigger = $(opt.selector).css({'background-color': '#EEEEEE', 'border': '1px solid #CCCCCC'});
			$('.context-menu-list.context-menu-root').css({'width': $trigger.css('width') });
			return true;
		},
		hide: function(opt) {
			/**
			 * Modifica cor do elemento de trigger para o menu
			 */
			$(opt.selector).css({'background-color': '', 'border': 'none'});
			return true;
		}
	},
	callback: function(key, options) {
		//TODO - default actions		
	},
	items: menuToolsItems
});

